Bug 220736 - Review Request: doclifter - lifts man pages and other troff-based markups to XML-DocBook
Review Request: doclifter - lifts man pages and other troff-based markups to ...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-12-25 02:50 EST by Eric Raymond
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-21 07:54:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Raymond 2006-12-25 02:50:17 EST
Spec URL: http://www.catb.org/esr/doclifter/doclifter.spec
SRPM URL: http://www.catb.org/esr/doclifter/doclifter-2.3-1.src.rpm
Description: The doclifter program translates documents written in troff macros to XML-DocBook.  Lifting documents from presentation level to semantic level
is difficult, and a really good job requires human polishing, but this
tool does about 95% of the work.  It aims to do everything that can be
mechanized, and to preserve in XML comments any troff-level
information that might have structural implications.  Also includes
manlifter, a driver script that can be used to convert entire
manual-page hierarchies.
Comment 1 Eric Raymond 2006-12-25 02:54:04 EST
This is my first Fedora package, and I am seeking a sponsor.
Comment 2 Michael Schwendt 2006-12-26 04:08:19 EST
$ manlifter 
Traceback (most recent call last):
  File "/usr/bin/manlifter", line 599, in ?
    exec 'import doclifter_test%s' % os.getpid()
  File "<string>", line 1, in ?
ImportError: No module named doclifter_test2931


Current directory, where you create the temporary copy of doclifter,
is not in standard module search path list by default. This is
because manlifter lives in /usr/bin, and hence /usr/bin is in
sys.path, but os.getcwd() is not. You could append it as
work-around, however.

[...]

$ man doclifter

looks very damaged at the end in section "Troff Translation" on FC6.

[...]

Packaging hints:

> Requires: python2

Instead you want "Requires: python" (which is v2 since a long time),
because your scripts depend on just /usr/bin/python (and /usr/bin/env
python) and not /usr/bin/python2.


> %install
> [ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

> %clean
> [ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

This is just added obscurity. Useless for many years. In particular,
since you do define a custom BuildRoot in your spec file already.

  rm -rf ${RPM_BUILD_ROOT}

is sufficient and nice to the eyes. Btw, it is a myth that the extra
check has ever been useful. Unless you've been burnt yourself you will
have a hard time finding anybody who has ever set --buildroot=/ while it
that was possible.

Nowadays, BuildRoot cannot be "/".
Comment 3 Kevin Fenzi 2006-12-29 15:20:21 EST
Hey Eric.

I'm re-adding the FE-NEW blocker bug here. That needs to be there in addition to
the FE-NEEDSPONSOR so people can see that the review request is new and waiting
for a reviewer. 

If no one else reviews this in the next few days I can try and do so... 
Can you spin a new version addressing the items in comment #2? 
Remember to increase the version and add a changelog so we can keep track of
what was addressed when. 
Comment 4 Eric Raymond 2007-01-14 11:47:46 EST
Working on it.  The manual-page mangling turns out to be due to an upstream bug
in the stylesheets, apparently introduced since the last time I looked at that
output.  I'm trying to get that resolved.
Comment 5 Eric Raymond 2007-01-22 14:27:11 EST
The upstream bug in the stylesheets has been acknowledged and fixed.  The
maintainer (Mike Smith at w3.org) tells me he will push a release to the Fedora
package maintainer ASAP.

I have addressed all other issues raised here, and the fixes will be in the next
doclifter release.  Stay tuned...

Note You need to log in before you can comment on or make changes to this bug.